Package com.smartgwt.client.types

# Enum TabBarControls

java.lang.Object
java.lang.Enum<TabBarControls>
com.smartgwt.client.types.TabBarControls

All Implemented Interfaces:
  `ValueEnum`, `Serializable`, `Comparable<TabBarControls>`, `Constable`

public enum TabBarControls extends Enum<TabBarControls> implements ValueEnum

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `TAB_PICKER`
  `TAB_SCROLLER`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getValue()`
  `static TabBarControls`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static TabBarControls[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### TAB_SCROLLER

    public static final TabBarControls TAB_SCROLLER

  - ### TAB_PICKER

    public static final TabBarControls TAB_PICKER

- ## Method Details

  - ### values

    public static TabBarControls[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static TabBarControls valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()
    Specified by:
      `getValue` in interface `ValueEnum`